#!/usr/bin/perl
use strict;

print "comm,world,df,seed, ,";
print "agent_$_," foreach 0..15;
print "\n";

my @files = `ls *.txt`;
chomp @files;

for my $fname (@files) {

  open FH, $fname;
  my $grab_agents = 0;
  my (@df, @u);

  while(<FH>) {
    $grab_agents = 1 and next if m/time: 100/;
    next unless $grab_agents;
    m/agent\ (\d+):\s+\$: (-?\d+\.\d+)\s+df: (0\.\d+)/;
    push @u, $2;
    push @df, $3;
    #print "$3,$2,";
  }
  my ($comm, $world, $df, $seed) = split( /_|\./, $fname);
  print "$comm,$world,$df,$seed, ,";
  print join(',', @df), "\n";
  print ",,,, ,";
  print join(',', @u), "\n";
}
